Page MenuHomePhabricator

DAG: Fold fneg into compare with constant into the constant
ClosedPublic

Authored by arsenm on Jan 17 2017, 11:02 PM.

Details

Summary

fcmp (fneg x), c, pred -> fcmp x, -c, (swap pred)

InstCombine already does this.

Diff Detail

Event Timeline

arsenm created this revision.Jan 17 2017, 11:02 PM
arsenm updated this revision to Diff 84930.Jan 18 2017, 9:49 PM

Add tests showing net improvement with multiple uses

escha accepted this revision.Jan 30 2017, 9:21 AM
This revision is now accepted and ready to land.Jan 30 2017, 9:21 AM
arsenm closed this revision.Jan 30 2017, 10:08 AM

r293512